(function() {
    tinymce.PluginManager.add('vidprofitsvideo', function(editor, url) {
        editor.addButton('vidprofitsvideo', {
            image: url+'/../img/icons/logo.png',
            title: 'WP Video Profits Video',
            onclick: function() {
                var logoarr;
                var framesarr;
                if ( vidprofits_is_pro ) {
                    logoarr = {
                        type: 'checkbox',
                        name: 'video_logo',
                        label: 'Hide Logo',
                        values: '',
                        tooltip: 'If you have chosen a logo in settings, you can hide it for this particular video'
                    };

                    framesarr = {
                        type: 'listbox',
                        name: 'video_frame',
                        label: 'Video Frame',
                        values: vidprofits_frames_list
                    };
                }
                else {
                    logoarr = {
                        type: 'label',
                        text: "PRO version only",
                        label: 'Hide Logo'
                    }

                    framesarr = {
                        type: 'label',
                        text: "PRO version only",
                        label: 'Video Frame'
                    }
                }
                editor.windowManager.open({
                    title: 'Insert WP Video Profits Video',
                    width: 550,
                    height: 460,
                    body: [
                    {
                        type: 'label',
                        text: "Compulsory settings",
                        style: 'font-weight:bold;margin-left:15px;font-size:1.1em'
                    },
                    {
                        type: 'listbox',
                        name: 'video_id',
                        label: 'Video',
                        values: vidprofits_videos_list,
                        tooltip: 'The name of the video'
                    },
                    {
                        type: 'label',
                        text: "Optional settings",
                        style: 'font-weight:bold;margin-left:15px;font-size:1.1em'
                    },
                    {
                        type: 'listbox',
                        name: 'video_skin',
                        label: 'Video Skin',
                        values: vidprofits_skins_list
                    },
                    framesarr,
                    {
                        type: 'textbox',
                        name: 'video_override',
                        label: 'Override video URL',
                        values: '',
                        placeholder: 'New Video URL',
                        tooltip: 'If you want to change the source of the video, enter a new video URL here'
                    },
                    {
                        type: 'textbox',
                        name: 'video_width',
                        label: 'Video width',
                        placeholder: 'Video width (in px)',
                        values: '',
                        tooltip: 'Video Width (in px)'
                    },
                    {
                        type: 'textbox',
                        name: 'video_height',
                        label: 'Video height',
                        placeholder: 'Video height (in px)',
                        values: '',
                        tooltip: 'Video Height (in px)'
                    },
                    {
                        type: 'textbox',
                        name: 'video_poster',
                        label: 'Preview Image',
                        placeholder: 'Preview Image URL',
                        values: '',
                        tooltip: 'Poster Image for the video'
                    },
                    {
                        type: 'checkbox',
                        name: 'autoplay',
                        label: 'Autoplay',
                        values: '',
                    },
                    {
                        type: 'checkbox',
                        name: 'loop',
                        label: 'Loop',
                        values: '',
                    },
                    logoarr/*,
                    {
                        type: 'checkbox',
                        name: 'video_logo',
                        label: 'Hide Logo',
                        values: '',
                        tooltip: 'If you have chosen a logo in settings, you can hide it for this particular video'
                    }*/

                    ],
                    onsubmit: function(e) {
                        var shortcode = '[vidprofits id=&quot;' + e.data.video_id +'&quot;';
                        if (e.data.video_skin)
                            shortcode += ' skin=&quot;skin' + e.data.video_skin +'&quot;';
                        if (e.data.video_poster)
                            shortcode += ' poster=&quot;' + e.data.video_poster +'&quot;';
                        if (e.data.video_frame)
                            shortcode += ' frame=&quot;' + e.data.video_frame +'&quot;';
                        if (e.data.video_override)
                            shortcode += ' url=&quot;' + e.data.video_override +'&quot;';
                        if (e.data.video_width)
                            shortcode += ' width=&quot;' + e.data.video_width +'&quot;';
                        if (e.data.video_height)
                            shortcode += ' height=&quot;' + e.data.video_height +'&quot;';
                        if (e.data.video_logo)
                            shortcode += ' hide_logo=&quot;' + 'true' +'&quot;';
                        if (e.data.autoplay)
                            shortcode += ' autoplay=&quot;' + 'true' +'&quot;';
                        if (e.data.loop)
                            shortcode += ' loop=&quot;' + 'true' +'&quot;';
                        shortcode += ']';

                        editor.insertContent( shortcode
                            /*'[vidprofits id=&quot;' + e.data.video_id +'&quot; show_video=&quot;' + e.data.video_override + '&quot;]'*/);
                    }
                });
            }
        });
    });
})();