<?php
function vidprofits_panel_leads() {
	$search = isset( $_GET['stm'] ) ? $_GET['stm'] : '';
	$total_leads = vidprofits_get_total_leads( $search );
?>
	<div class="wrap">
		<img src="<?php echo VIDPROFITS_URL;?>/img/logo_medium.png" style="margin-left: 50px">
		<br/>

		<div class="bootstrap-wpbtfy-wpadmin">
			<div class="container">
				<div class="navbar">
					<div class="navbar-inner">
				        <ol class="breadcrumb">
						  <li><a href="#">WP Video Profits</a></li>
						  <li class="active">Leads</li>
						</ol>
					</div>
				</div>
 				<div class="row">
					<div class="col-md-12">
						<div class="row">
						<div class="col-lg-6">

						<a href="<?php echo admin_url("admin.php?page=vidprofits-leads&dolexport=1");?>" class="btn btn-primary"><i class="fa fa-download"></i> Export All</a><br/><br/>
						</div>
						<div class="col-lg-6">
						    <div class="input-group">
						      <input type="text" name="stm" id="vprofits_stm" class="form-control" placeholder="Search name or email..." value="<?php echo $search;?>">
						      <span class="input-group-btn">
						        <button class="btn btn-info" type="button" id="do-search-leads"><i class="fa fa-search"></i> Search</button>
						        <button class="btn btn-danger" type="button" id="do-clear-leads"><i class="fa fa-remove"></i></button>
						      </span>
						    </div><!-- /input-group -->
						  </div><!-- /.col-lg-6 -->
						  </div>
					</div>

				</div>
				<?php if( $total_leads ) { ?>
					<div class="row">
						<div class="col-md-12">
							<h4>Total Leads: <?php echo $total_leads;?></h4>
						</div>
					</div>
				<?php } ?>
				<div class="row">
					<div class="col-md-12">
						<?php vidprofits_leads_list(); ?>
					</div>
				</div>
			</div>

			<div class="modal fade" id="delete_lead_modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
			  <div class="modal-dialog" role="document">
			    <div class="modal-content">
			      <div class="modal-header">
			        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
			        <h4 class="modal-title" id="myModalLabel"><i class="fa fa-warning"></i> Are you Sure?</h4>
			      </div>
			      <div class="modal-body">
			        This action cannot be undone.
			      </div>
			      <div class="modal-footer">
			        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
			        <button type="button" class="btn btn-danger" id="vidprofits-do-remove-lead"><i class="fa fa-remove"></i> Delete Lead</button>
			      </div>
			    </div>
			  </div>
			</div>
		</div>
	</div>
<?php
}

function vidprofits_leads_list() {
	$page = isset( $_GET['pgl'] ) ? $_GET['pgl'] : 0;
	$search = isset( $_GET['stm'] ) ? $_GET['stm'] : false;
	$search_str = '';
	$results_per_page = 60;
	$leads = vidprofits_get_leads( $page, $results_per_page, $search );
	$str_ret = '<div class="well">';
	if (!$leads) {
		$str_ret .= '<p>No Leads</p>';
	}
	else {
		$str_ret .= '<table class="table table-striped">';
		$str_ret .= '<tr>
			<th>#</th>
			<th scope="col">Email</th>
			<th scope="col">Name</th>
			<th scope="col">Date Added</th>
			<th scope="col">&nbsp;</th></tr>';
			$i = ($page * $results_per_page) + 1;
		foreach ( $leads as $lead ) {
			$str_ret .= '<tr>
				<th scope="row" >'.$i++.'</th>
				<th scope="row" >'.$lead->email.'</th>
				<td >'.(empty( $lead->name ) ? '-' : $lead->name).'</td>
				<td >'.$lead->date_f.'</td>
				<td >
					<a class="btn btn-danger btn-xs vidprofits-remove-lead" href="#" data-lead-id="'.$lead->id.'"><i class="fa fa-remove"></i> Delete</a>
				</td>

			</tr>';
		}
		$str_ret .= '</table>';
	}
	$str_ret .= '</div>';

	if( $search )
		$search_str = '&stm='.$search;

	if( $page > 0 )
		$str_ret .= '<a class="btn btn-info" href="'.admin_url('admin.php?page=vidprofits-leads'.$search_str.'&pgl='.($page -1)).'"><i class="fa fa-chevron-left"></i> Prev Page</a>  &nbsp; &nbsp;';

	if( count( $leads ) >= $results_per_page ) {
		$str_ret .= '<a class="btn btn-info" href="'.admin_url('admin.php?page=vidprofits-leads'.$search_str.'&pgl='.++$page).'"><i class="fa fa-chevron-right"></i> Next Page</a>';
	}

	echo $str_ret;
}

function vidprofits_ar_wpleads_subscribe_user( $email, $name = '' ) {
	if( empty( $name ) )
		$name = '';
	return vidprofits_add_lead( $email, $name );
}

function vidprofits_remove_lead_ajax() {
	if( isset( $_POST['lead_id'] ) )
		vidprofits_delete_lead( intval( $_POST['lead_id'] ) );
	echo 1;
	exit();
}

function vidprofits_export_leads ( $filename = "export.csv", $delimiter=";") {
	$leads = vidprofits_get_all_leads();
    // open raw memory as file so no temp files needed, you might run out of memory though
    $f = fopen('php://memory', 'w'); 
    // loop over the input array
    foreach ($leads as $line) { 
        // generate csv lines from the inner arrays
        // var_dump($line);
        fputcsv($f, $line, $delimiter); 
    }
    // reset the file pointer to the start of the file
    fseek($f, 0);
    // tell the browser it's going to be a csv file
    header('Content-Type: application/csv');
    // tell the browser we want to save it instead of displaying it
    header('Content-Disposition: attachment; filename="'.$filename.'";');
    // make php send the generated csv lines to the browser
    fpassthru($f);
    exit();
}

add_action('admin_init', 'vidprofits_check_dlleads');

function vidprofits_check_dlleads() {
	if( isset( $_GET['dolexport'] ) && $_GET['dolexport'] ) {
		vidprofits_export_leads( );
	}
}

?>