<?php
 /*
    Plugin Name: WP Video Profits Pro
    Plugin URI: http://www.wpvideoprofits.com
    Description: Adds extra actions on top of your videos helping you make more sales, get more leads & commissions from your site
    Author: Raul Mellado
    Version: 1.32
    Author URI: http://www.raulmellado.com
 */

// Constants
define( 'VIDPROFITS_VERSION', '1.32' );
if (!isset($wp_version))
    global $wp_version;
define( 'VIDPROFITS_WPVERSION', $wp_version );

define( 'VIDPROFITS_PLUGIN_NAME', dirname(plugin_basename(__FILE__) ));
define( 'VIDPROFITS_DIR', plugin_dir_path( __FILE__ ) );
define( 'VIDPROFITS_URL', plugins_url( VIDPROFITS_PLUGIN_NAME ) );

/********************/

/* Activation & Deactivation */
register_activation_hook(  __FILE__, 'vidprofits_activate');
register_deactivation_hook(  __FILE__, 'vidprofits_deactivate');
/*****************************/

require VIDPROFITS_DIR.'/lib/db.php';
require VIDPROFITS_DIR.'/lib/utils.php';
require VIDPROFITS_DIR.'/lib/autoresponders/autoresponders.php';
require VIDPROFITS_DIR.'lib/autoresponders/webinars.php';
require VIDPROFITS_DIR.'/lib/video-actions.php';
require VIDPROFITS_DIR.'/lib/leads.php';
require VIDPROFITS_DIR.'/lib/amazon/AmazonProductRequest.php';

if (is_admin()) {
	require VIDPROFITS_DIR.'/lib/ui.php';
    require VIDPROFITS_DIR.'/lib/videos.php';
    include VIDPROFITS_DIR.'/lib/styles/dashboard.php';

    // require VIDPROFITS_DIR.'/lib/video-import.php';
    add_action( 'wp_ajax_vidprofits_add_action', 'vidprofits_add_action_ajax' );
    add_action( 'wp_ajax_vidprofits_duplicate_video', 'vidprofits_duplicate_video_ajax' );
    add_action( 'wp_ajax_vidprofits_remove_video', 'vidprofits_remove_video_ajax' );
    add_action( 'wp_ajax_vidprofits_refresh_autoresponder', 'vidprofits_refresh_autoresponder' );
    // add_action( 'wp_ajax_vidprofits_activate_campaign', 'vidprofits_activate_campaign' );
    add_action( 'wp_ajax_vidprofits_remove_lead', 'vidprofits_remove_lead_ajax' );
    add_action( 'wp_ajax_vidprofits_add_answer', 'vidprofits_add_answer_ajax' );
}
else {
    require VIDPROFITS_DIR.'/lib/shortcode.php';
    require VIDPROFITS_DIR.'/lib/front.php';
}


add_action( 'wp_ajax_vidprofits_subscribe_user', 'vidprofits_subscribe_user_ajax' );
add_action( 'wp_ajax_nopriv_vidprofits_subscribe_user', 'vidprofits_subscribe_user_ajax' );
add_action( 'wp_ajax_vidprofits_increase_view', 'vidprofits_increase_view_ajax' );
add_action( 'wp_ajax_nopriv_vidprofits_increase_view', 'vidprofits_increase_view_ajax' );
add_action( 'wp_ajax_vidprofits_increase_finish', 'vidprofits_increase_finish_ajax' );
add_action( 'wp_ajax_nopriv_vidprofits_increase_finish', 'vidprofits_increase_finish_ajax' );

function vidprofits_front_styles()
{
    if (is_admin()) return;
    wp_register_style('vidprofits_front', VIDPROFITS_URL . '/css/vidprofits-front.css');

    wp_enqueue_style( 'vidprofits_front' );

    wp_register_script( 'vidprofits-slick',
            VIDPROFITS_URL . '/js/slick.min.js',
            array( 'jquery' ) );
    wp_enqueue_script( 'vidprofits-slick');

    wp_register_style('vidprofits_animate_css', VIDPROFITS_URL . '/css/animate.min.css', array(), VIDPROFITS_VERSION);
    wp_enqueue_style('vidprofits_animate_css');

    wp_register_style('vidprofits_custom_css', VIDPROFITS_URL . '/css/vidprofits-extra.css', array(), VIDPROFITS_VERSION);
    wp_enqueue_style('vidprofits_custom_css');

    wp_register_style('vidprofits_font_awesome_css', '//maxcdn.bootstrapcdn.com/font-awesome/4.6.3/css/font-awesome.min.css', array(), VIDPROFITS_VERSION);
    wp_enqueue_style('vidprofits_font_awesome_css');
}
add_action( 'wp_enqueue_scripts', 'vidprofits_front_styles' );


/* Automatic Updates */
require VIDPROFITS_DIR.'/lib/plugin-updates/plugin-update-checker.php';
$vidprofits_update_checker = new Puc_v4p2_Plugin_UpdateChecker(
    ( vidprofits_is_pro() ? 'https://wpvideoprofits.s3.amazonaws.com/plugin-updates/2-pro/info_videoprofits2.json' :
    'https://wpvideoprofits.s3.amazonaws.com/plugin-updates/1-std/info_videoprofits1.json' ),
    VIDPROFITS_DIR.VIDPROFITS_PLUGIN_NAME.'.php'
);
?>